#!/usr/bin/bash

# This script tails remote chat.out file and appends local 
# chat.in file over ssh connection to remote host
# -----------------------------------------------------------------

if [ $# -lt 5 ]; then
    echo "Usage: $0 <user@remotehost> <port> <remotepass> <remotechatdir> <channel>"
    exit 1
fi

sshpass -p $3 ssh -v $1 -p $2 "tail -n 0 -f $4/chat/$5.out" | tee -a ./chat/$5 >> ./chat/$5.in
